void master()
{
//=========Macro describing tehy ROOT parallel cluster

   char *slide="master";
   InitCanvas(slide);

   pt = new TPaveLabel(8.5,22.5,18,23.9,"Parallel ROOT Facility");
   pt->SetFillColor(41);
   pt->Draw();
   t = new TText();
   t->SetTextColor(2);
   t->SetTextAlign(12);
   t->SetTextSize(0.085);
   t->DrawText(1,23.1,"PROOF ~+#");

   gROOT->LoadMacro("linuxpc.C");

   TLine *lw = new TLine();
   lw->SetLineWidth(4);
   lw->SetLineColor(6);
   lw->DrawLine(10,5.25,10,13);
   lw->DrawLine(5,4,14.3,13.3);
   lw->DrawLine(5,14,13.2,5.9);
   lw->DrawLine(5,9,13.2,9);
   TArc *sw = new TArc(10,9,2);
   sw->SetFillColor(32);
   sw->Draw();
   linuxpc(10,13,2,0.9,"master");
   linuxpc(15,13,2,0.85,"slave");
   linuxpc(15,7.4,2,0.95,"slave");
   linuxpc(15,2,2,0.75,"slave");
   linuxpc(10,2,2,0.94,"slave");
   linuxpc(5,2,2,0.88,"slave");
   linuxpc(5,7.4,2,0.92,"slave");
   linuxpc(5,13,2,0.94,"slave");

   arcred = new TArc(2,17.5,0.4);
   arcred->SetFillColor(2);
   arcred->Draw();
   arcyellow = new TArc(2,18.5,0.4);
   arcyellow->SetFillColor(5);
   arcyellow->Draw();
   anot = new TText();
   anot->SetTextAlign(12);
   anot->SetTextSize(0.028);
   anot->DrawText(2.8,21.9,"~\345# A ROOT master per user. Queries processed in parallel");
   anot->DrawText(2.8,21.2,"~\345# Many distributed files (disk pool manager)");
   anot->DrawText(2.8,20.5,"~\345# Local processor processes packets of local data first");
   anot->DrawText(2.8,19.8,"~\345# Results (histograms, event lists) merged by server");

   anot->DrawText(2.8,17.5,"Local data processed by remote processor");
   anot->DrawText(2.8,18.5,"Local data processed by local processor");

   anot->SetTextAlign(22);
   anot->SetTextSize(0.04);
   anot->DrawText(10,9,"SWITCH");
   Signe(slide);
}
