void psession2()
{
//=========Macro showing a PROOF session

   char *slide="psession2";
   InitCanvas(slide);

title = new TPaveLabel(3,22.5,17,23.7,"PROOF session statistics");
title->SetFillColor(31);
title->Draw();

t = new TText();
t->SetTextSize(0.03);
t->SetTextFont(62);
t->SetTextColor(2);
tfix = new TText();
tfix->SetTextSize(0.018);
tfix->SetTextFont(82);
tfix->SetTextColor(1);
troot = new TText();
troot->SetTextSize(0.025);
troot->SetTextFont(72);
troot->SetTextColor(4);

Float_t xroot = 1.3;
Float_t xc = xroot+1.6;

troot->DrawText(xroot,21,"Root >");
t->DrawText(xc,21,"T49.Print("p")");
tfix->DrawText(xroot,20.5,"Total events processed:             10585");
tfix->DrawText(xroot,20.0,"Total number of packets:            147");
tfix->DrawText(xroot,19.5,"Default packet size:                100");
tfix->DrawText(xroot,19.0,"Smallest packet size:               20");
tfix->DrawText(xroot,18.5,"Average packet size:                72.01");
tfix->DrawText(xroot,18.0,"Total time (s):                     2.78");
tfix->DrawText(xroot,17.5,"Average time between packets (ms):  18.93");
tfix->DrawText(xroot,17.0,"Shortest time for packet (ms):      99");
tfix->DrawText(xroot,16.5,"Number of active slaves:            5");
tfix->DrawText(xroot,16.0,"   Number of events processed by slave 0:  1890");
tfix->DrawText(xroot,15.5,"   Number of events processed by slave 1:  2168");
tfix->DrawText(xroot,15.0,"   Number of events processed by slave 2:  2184");
tfix->DrawText(xroot,14.5,"   Number of events processed by slave 3:  2667");
tfix->DrawText(xroot,14.0,"   Number of events processed by slave 4:  1676");

rem = new TPaveText(1,4,19,12);
rem->SetFillColor(42);
rem->Draw();
rem->SetTextColor(4);
rem->SetTextAlign(12);
rem->SetTextSize(0.025);
rem->AddText(" ");
rem->AddText("~p# The usage of PROOF is absolutely transparent.");
rem->AddText("~p# The command T49.Draw("fPx") produces a histogram with 7056737 entries.");
rem->AddText("~p# Worst case scenario, one large file remotely accessed via NFS.");
rem->AddText("~p# File contains 821 MB of uncompressed data.");
rem->AddText("~p# PROOF nodes pcna49a-d are PPro 200s, pcna49e (slave 4) is a PPro 150.");
rem->AddText("~p# Data file resides on pcna49a (slave 0).");
rem->AddText("~p# Client session was run on pcna49d (slave 3).");

prem = new TPaveLabel(8,11.5,12,12.5,"Remarks");
prem->SetTextColor(2);
prem->Draw();

Signe(slide);
}
