void rootframe()
{
//=========Macro describing the root framework

   char *slide="rootframe";
   InitCanvas(slide);

title = new TPaveLabel(5,22.5,15,23.7,"ROOT Framework");
title->SetFillColor(31);
title->Draw();

TText *t;
Float_t iotop = 22;
Float_t tsize = 0.028;
io = new TPaveText(1,2,19,iotop);
io->SetFillColor(18);
io->SetTextAlign(12);
io->SetTextSize(tsize);
io->AddText(" ");
io->AddText("~p# A large subset of CERNLIB redesigned with new technology");
io->AddText("~p# Assumes standard C++ environment (no other special tools)");
io->AddText("~p# The same language C++ for Batch and Interactive work");
io->AddText("~p# A very powerful and mature C++ interpreter");
io->AddText("~p# User describes the data model in C++ header files");
io->AddText("~p# Dynamic load of shared libraries");
io->AddText("~p# A rich set of container classes");
io->AddText("~p# Histograming and Ntuples(more than PAW/HBOOK)");
io->AddText("~p# Minimization (Minuit class)");
io->AddText("~p# Automatic Object-Oriented User interface and graphics");
io->AddText("~p# Automatic html documentation for user files");
io->AddText("~p# 2-D and 3-D graphics (far more than HPLOT and HIGZ) + OPENGL");
t = io->AddText("~p# Automatic code generation for I/O and User Interface");
t->SetTextColor(2);
t = io->AddText("~p# Complete machine independent I/O subsystem");
t->SetTextColor(2);
t = io->AddText("~p# Trees for event I/O (Ntuples generalized to Objects)");
t->SetTextColor(2);
t = io->AddText("~p# I/O designed for parallel processing");
t->SetTextColor(2);
t = io->AddText("~p# Access to remote files (via Web or root daemon)");
t->SetTextColor(2);
io->AddText("~p# Detector description and Geometric rendering");
io->AddText("~p# h2root: to convert legacy PAW/HBOOK files to root files");
io->AddText("~p# g2root: to convert Geant3.21 geometry files to root files");
io->AddText("~p# Ported on Unix and Windows/Nt/95");
io->Draw();

Signe(slide);
}
